<div class="container mx-auto px-4">
  <div class="block">
    <h1 class="font-extrabold text-2xl">Dashboard</h1>
    <p class="text-gray-600">Visão geral do progresso dos Blox na instituição</p>
  </div>

  <div class="flex flex-col md:flex-row py-10">
    <div class="block md:flex-1 md:w-1/3 py-4">
      <div class="text-center"> Blox por Área de Competência </div>
      <%= pie_chart pie_knowlege_areas_charts_path, donnut_options(@blox_count) %>
    </div>
    <div class="block md:flex-1 md:w-1/3 py-4">
      <div class="text-center"> Blox por Área Funcional </div>
      <%= pie_chart pie_functional_areas_charts_path, donnut_options(@blox_count) %>
    </div>
    <div class="block md:flex-1 md:w-1/3 py-4">
      <div class="text-center"> Blox por Perfil </div>
      <%= pie_chart pie_blox_profiles_charts_path, donnut_options(@blox_count) %>
    </div>
  </div>

  <div class="block py-4">
    <%= form_with(url: dashboard_path, method: "get") do %>
      <div class="block py-5 font-extrabold">
        <%= label_tag 'blox_by', 'quantidade de blox por:', class: 'uppercase font-bold' %>
        <%= select_tag 'blox_by', options_for_select(@blox_categories.collect{ |u| [u.name, u.category] }, @selected_blox_category),
                                                     class: 'bg-gray-200 border border-gray-200 text-gray-700 py-3 px-4 pr-8 rounded leading-tight focus:outline-none focus:bg-white focus:border-gray-500' %>
      </div>
    <% end %>

    <%= column_chart column_bloxes_charts_path(column_blox: @selected_blox_category), column_options %>
  </div>
</div>